% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/999.DEPRECATED.R, R/UniprocessFuture-class.R
\name{TransparentFuture}
\alias{TransparentFuture}
\alias{UniprocessFuture-class}
\alias{UniprocessFuture}
\alias{SequentialFuture}
\title{An uniprocess future is a future whose value will be resolved synchronously in the current process}
\usage{
TransparentFuture(...)

UniprocessFuture(
  expr = NULL,
  substitute = TRUE,
  envir = parent.frame(),
  globals = TRUE,
  packages = NULL,
  lazy = FALSE,
  ...
)

SequentialFuture(
  expr = NULL,
  envir = parent.frame(),
  substitute = TRUE,
  lazy = FALSE,
  globals = TRUE,
  local = TRUE,
  ...
)
}
\arguments{
\item{\dots}{Additional named elements passed to \code{\link[=Future]{Future()}}.}

\item{expr}{An \R \link[base]{expression}.}

\item{substitute}{If TRUE, argument \code{expr} is
\code{\link[base]{substitute}()}:ed, otherwise not.}

\item{envir}{The \link{environment} from where global objects should be
identified.}

\item{globals}{(optional) a logical, a character vector, or a named list
to control how globals are handled.
For details, see section 'Globals used by future expressions'
in the help for \code{\link[=future]{future()}}.}

\item{packages}{(optional) a character vector specifying packages
to be attached in the \R environment evaluating the future.}

\item{lazy}{If FALSE (default), the future is resolved
eagerly (starting immediately), otherwise not.}

\item{local}{(deprecated) If TRUE, the expression is evaluated such that
all assignments are done to local temporary environment, otherwise
the assignments are done to the global environment of the \R process
evaluating the future.}
}
\value{
\code{UniprocessFuture()} returns an object of class \code{UniprocessFuture}.

\code{SequentialFuture()} returns an object of class \code{SequentialProcess},
which inherits from \code{UniprocessFuture}.
}
\description{
An uniprocess future is a future whose value will be resolved synchronously in the current process
}
\section{Usage}{

To use 'sequential' futures, use \code{plan(sequential)}, cf. \link{sequential}.
}

\keyword{internal}
